> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stats from API executions.

> 
    ROLES: ENDPOINT_READ,ENDPOINT_WRITE,ENDPOINT_ADMIN
    USER: true
    SERVICE ACCOUNT: true
    



## OpenAPI

````yaml post /api/v1/endpoints/{endpointId}/stats
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/endpoints/{endpointId}/stats:
    post:
      tags:
        - Endpoints
      summary: Get stats from API executions.
      description: |2-

            ROLES: ENDPOINT_READ,ENDPOINT_WRITE,ENDPOINT_ADMIN
            USER: true
            SERVICE ACCOUNT: true
            
      operationId: EndpointController_apiStats
      parameters:
        - name: endpointId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/APISingleStatsDto'
      responses:
        '201':
          description: OK.
        '400':
          description: Bad input of the data.
        '403':
          description: Forbidden.
        '404':
          description: Not found.
      security:
        - bearer: []
components:
  schemas:
    APISingleStatsDto:
      type: object
      properties:
        path:
          type: boolean
          description: Show API path (exclude dynamic routing).
        url:
          type: boolean
          description: Show end URL (include dynamic routing).
        from:
          format: date-time
          type: string
          description: Aggregation period from.
        to:
          format: date-time
          type: string
          description: Aggregation period to.
        granularity:
          type: string
          description: Aggregation period type.
          enum:
            - YEAR
            - QUARTER
            - MONTH
            - WEEK
            - DAY
            - HOUR
            - MINUTE
            - SECOND
      required:
        - from
        - to
        - granularity
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````